import javax.servlet.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

public class AccessFilter implements Filter {
    private FilterConfig filterConfig;

    public void init(FilterConfig filterConfig) throws ServletException {
        //System.out.println("Filter init");
        this.filterConfig = filterConfig;
    }

    public void doFilter(ServletRequest aRequest, ServletResponse aResponse, FilterChain filterChain)
            throws IOException, ServletException {
        ((HttpServletResponse)aResponse).sendRedirect(((HttpServletRequest)aRequest).getContextPath());
    }

    public void destroy() {
        //System.out.println("Filter dead");
        this.filterConfig = null;
    }
}
