import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
public class RemoveHTTPCommand extends AbstractHTTPCommand {
    public RemoveHTTPCommand(ServletContext sc, HttpServletRequest aRequest, HttpServletResponse aResponse, String viewPath, String resultPath, String errorPath) {
        initCommand(sc, aRequest, aResponse, viewPath, resultPath, errorPath);
        this._addressBook = (AddressBook) sc.getAttribute("_addressBook");
    }

    public void execute() throws Exception {
        if (aRequest.getParameter("number") != null) {
            _addressBook.removeContactByNumber(aRequest.getParameter("number"));
            aRequest.setAttribute("message", "Удален контакт с номером \"" + aRequest.getParameter("number") + "\"");
        }
        makeDataToView();
        outputPage(getResultPath(), aRequest, aResponse);
    }
}
