import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import javax.servlet.ServletContext;

public class AuthHTTPCommand extends AbstractHTTPCommand {
    public AuthHTTPCommand(ServletContext sc, HttpServletRequest aRequest, HttpServletResponse aResponse, String viewPath, String resultPath, String errorPath) {
        initCommand(sc, aRequest, aResponse, viewPath, resultPath, errorPath);
    }

    public void execute() throws Exception {
        String login = aRequest.getParameter("login");
        String password = aRequest.getParameter("password");
        if ((login != null) && (password != null)) {
            // here is auth process
            if ((login.equals("user")) && (password.equals("userPass"))) {
                //here is success auth
                HttpSession session = aRequest.getSession(true);
                session.setAttribute("auth", aRequest.getParameter("login"));
                aRequest.setAttribute("message", null);
                outputPage(this.getResultPath(), aRequest, aResponse);
            } else {
                //here is failed auth
                aRequest.setAttribute("message", "Неверный логин или пароль, повторите ввод данных");
                outputPage(this.getErrorPath(), aRequest, aResponse);
            }
        } else {
            //here is no data to auth
            aRequest.setAttribute("message", "Логин и пароль не могут быть пустыми, повторите ввод данных");
            outputPage(this.getErrorPath(), aRequest, aResponse);
        }
    }
}