import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ViewHTTPCommand extends AbstractHTTPCommand {
    public ViewHTTPCommand(ServletContext sc, HttpServletRequest aRequest, HttpServletResponse aResponse, String viewPath, String resultPath, String errorPath) {
        initCommand(sc, aRequest, aResponse, viewPath, resultPath, errorPath);
        this._addressBook = (AddressBook) sc.getAttribute("_addressBook");
    }

    public void execute() throws Exception {
        makeDataToView();
        outputPage(this.getViewPath(), aRequest, aResponse);
    }
}
